/*
 * OMAP DSP interface.
 * 
 * Copyright (c) 2002 Toshihiro Kobayashi, Nokia Research Center
 */

#ifndef LINUX_OMAPDSP_H
#define LINUX_OMAPDSP_H

/*
 * ioctl calls through /dev/dspctl
 */

#define OMAPDSP_IOCTL_RESET		1
#define OMAPDSP_IOCTL_UNRESET		2
#define OMAPDSP_IOCTL_SETRSTVECT	3
#define OMAPDSP_IOCTL_IDLE		4
#define OMAPDSP_IOCTL_ENDCNVON		5
#define OMAPDSP_IOCTL_ENDCNVOFF		6
#define OMAPDSP_IOCTL_DSPCFG		10
#define OMAPDSP_IOCTL_DSPUNCFG		11
#define OMAPDSP_IOCTL_MBSEND		99

struct omapdsp_mailbox_cmd {
	unsigned short	cmd;
	unsigned short	data;
};

#define OMAPDSP_MBCMD_WDSND	0x10
#define OMAPDSP_MBCMD_WDREQ	0x11
#define OMAPDSP_MBCMD_BKSND	0x20
#define OMAPDSP_MBCMD_BKREQ	0x21
#define OMAPDSP_MBCMD_BKDLG	0x23
#define OMAPDSP_MBCMD_TCTL	0x30
#define OMAPDSP_MBCMD_TTYP	0xe1
#define OMAPDSP_MBCMD_TNM	0xe2
#define OMAPDSP_MBCMD_DSPCFG	0xf0
#define OMAPDSP_MBCMD_ERR	0xf8

#define OMAPDSP_MBCMD_TCTL_TINIT	0x0000
#define OMAPDSP_MBCMD_TCTL_TEN		0x0001
#define OMAPDSP_MBCMD_TCTL_TDIS		0x0002

#define OMAPDSP_MBCMD_DSPCFG_REQ	0x00
#define OMAPDSP_MBCMD_DSPCFG_TMAX	0x10
#define OMAPDSP_MBCMD_DSPCFG_BSZ	0x20
//#define OMAPDSP_MBCMD_DSPCFG_BADRH	0x21
#define OMAPDSP_MBCMD_DSPCFG_BADRL	0x22
#define OMAPDSP_MBCMD_DSPCFG_BKEEP	0x23
#define OMAPDSP_MBCMD_DSPCFG_LAST	0x80

#define OMAPDSP_TTYP_ARCV	0x0001
#define OMAPDSP_TTYP_ASND	0x0002
#define OMAPDSP_TTYP_BKMD	0x0004
#define OMAPDSP_TTYP_BKDM	0x0008

#define OMAPDSP_EID_BADTID	0x10
#define OMAPDSP_EID_BADTCN	0x11
#define OMAPDSP_EID_BADBID	0x20
#define OMAPDSP_EID_BADCNT	0x21
#define OMAPDSP_EID_NOTLOCKED	0x22
#define OMAPDSP_EID_STVBUF	0x23
#define OMAPDSP_EID_BADTCTL	0xe0
#define OMAPDSP_EID_TASKERR	0xef
#define OMAPDSP_EID_BADCFGTYP	0xf0
#define OMAPDSP_EID_BADCMD	0xff

#define OMAPDSP_TNM_LEN		16

#endif /* LINUX_OMAPDSP_H */
