/*
 *  linux/include/asm-arm/arch-ti925/omap1510/irqs.h
 *
 *  Copyright (C) Greg Lonnon 2001
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef __ASM_ARCH_OMAP1510_IRQS_H
#define __ASM_ARCH_OMAP1510_IRQS_H
/* ---------------------------------------------------------------------------
 *  Interrupts
 * ---------------------------------------------------------------------------
 */

/* 
 *  IRQ Numbbers for INT1
 * 
 */
#define INT_IH2_FIQ      0
#define INT_IH2_IRQ      1
#define INT_USB_NIRQ     2 
#define INT_USB_SOF_NIRQ 3
#define INT_ICR          4
#define INT_EAC          5
#define INT_MPUIO1       6
#define INT_MPUIO2       7
#define INT_MPUIO3       8
#define INT_ABORT        9
//#define INT_DSP_MAILBOX1 10
//#define INT_DSP_MAILBOX2 11
//#define INT_HSB_MAILBOX  12
#define INT_BRIDGE_PRIV  13
#define INT_GPIO         14
#define INT_UART3        15 // mpu?
#define INT_TIMER3       16
//#define INT_LB_MMU       17
#define INT_BUS_MMU      18
#define INT_DMA_CH1      19
#define INT_DMA_CH2      20
#define INT_DMA_CH3      21
#define INT_DMA_CH4      22
#define INT_DMA_CH5      23
#define INT_DMA_CH6      24
#define INT_DMA_LCD      25
#define INT_TIMER1       26
#define INT_WD_TIMER     27
#define INT_BRIDGE_PUB   28
//#define INT_LOCAL_BUS    29
#define INT_TIMER2       30
#define INT_LCD_CTRL     31

/* 
 * IRQ Numbers for Interrupt Handler 2
 */
#define L2_START 32
 
#define INT_HW_ERRORS 0 + L2_START
#define INT_PWR_FAIL  1 + L2_START
#define INT_CFCD      2 + L2_START
#define INT_CFIREQ    3 + L2_START
#define INT_VSPI      4 + L2_START
#define INT_USB_WAKE  5 + L2_START
#define INT_EXT       6 + L2_START
#define INT_SPI_100KHz 7 + L2_START
//#define INT_McBSP3TX  10 + L2_START
//#define INT_McBSP3RX  11 + L2_START
#define INT_McBSP1TX  12 + L2_START
#define INT_McBSP1RX  13 + L2_START
#define INT_UART2     14 + L2_START // backwards from omap1510
#define INT_UART1     15 + L2_START // ditto
#define INT_BT_MCS1TX 16 + L2_START
#define INT_BT_MCS1RX 17 + L2_START
#define INT_BT_MCSIFE 18 + L2_START
#define INT_COM_MCSi2TX 19 + L2_START
#define INT_COM_MCSi2RX 20 + L2_START
#define INT_COM_MCSi2FE 21 + L2_START
#define INT_OS_32kHz_TIMER 22 + L2_START
#define INT_MMC         23 + L2_START
#define INT_GAUGE_32K   24 + L2_START
#define INT_RTC_PER     25 + L2_START
#define INT_RTC_ALRM    26 + L2_START
#define INT_USB_GEN1    29 + L2_START
#define INT_USB_SBI1    30 + L2_START
//#define INT_COM_SPI_RO  31 + L2_START

// Note: currently, setting up the FPGA interrupts causes an error during init_irq_init.
// Not enabling them for now pending a review of the FPGA stuff for omap710.
// --gmcnutt

// The FPGA Interrupts
#define IH_FPGA_BASE 64

#define INT_FPGA_ETHR   IH_FPGA_BASE + 5
#define INT_FPGA_UART1  IH_FPGA_BASE + 6
#define INT_FPGA_UART2  IH_FPGA_BASE + 7

// debug gjm #define MAXIRQNUM                       (IH_FPGA_BASE + 8)
#define MAXIRQNUM                       (INT_USB_SBI1)
#define MAXFIQNUM                       MAXIRQNUM
#define MAXSWINUM                       MAXIRQNUM

#define NR_IRQS                         (MAXIRQNUM + 1)

#endif

